Skip navigation
Brent_2310242
Currently Being Moderated

AcroQTP works with Reader 10.1.1, not 10.1.2 nor 10.1.3

Apr 27, 2012 1:03 PM

Hi all,

 

I have a suite of AcroQTP scripts written against Reader 9 that I was keen on porting to Reader X. I've seen a lot of frustrated users complaining about AcroQTP not working with their version of Reader X.  I was going to add my voice to the frustration.  In my case, what I was seeing was:

0. Unregister any previous AcroQTP and uninstall any previous Reader.

1. Install Reader 10.1.3

2. Register the AcroQTP plugin

3. Start QTP

4. Start Reader (manually)

5. Open my form (manually)

Reader crashes!  (... and it would only crash if QTP were running.)

(6. If I could, I would run QTP's Object Spy to see if it detects AcroField objects on my form.  But when your Reader crashes, you're not off to a good start.)

 

I tried many uninstalls and reinstalls to try to get this to work, with no success. Then on a whim, I downloaded the Reader 10.1.1 installer from a third-party archival website, since it was no longer available from Adobe.  I installed it, followed the same steps as above... and voila, Object Spy WORKED!

 

I've tried this on Win XP SP3 and Windows 7, and Object Spy worked in both cases.  After a little tweaking, my regression suite is now ticking along against Reader X. 

 

So until Adobe addresses their issue, all you have to do is find a source for the Adobe Reader 10.1.1 installer that you trust.  Something like this, from http://www.filehippo.com/download_adobe_reader/tech/10591/

Title:Adobe Reader 10.1.1
Filename:AdbeRdr1011_en_US.exe
File size:50.24MB (52,677,528 bytes)
MD5 Checksum:72E7C5531A20556AAFA5F31978FA1105

 

Happy trails,

 

Brent

 
Replies
  • Currently Being Moderated
    Jul 18, 2012 5:20 AM   in reply to Brent_2310242

    Hi Brent


    We have lately found that due to some of our changes in Reader 10.1.2 release, the plugins have broken.

    They still continue to work with Adobe Reader 10.1.0 and 10.1.1 ON ANY ENVIRONMENT WITH ANY QTP VERSION.

     

    For the time being, before Adobe roll out a fix, we would suggest you not to upgrade the Adobe Reader versions.

     

    Thanks and Regards

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 17, 2013 11:17 AM   in reply to rjjoshi

    Hi rjjoshi,

     

    Has this issue been resolved now in later versions of Adobe Reader? If so, which versions?

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)